### Signal

# Clutter Actor::event

#### Declaration

    gboolean
    event (
      ClutterActor* self,
      const ClutterEvent* event,
      gpointer user_data
    )

#### Description [src]

The signal is emitted each time an event is received by the `actor`. This signal will be emitted on every actor, following the hierarchy chain, until it reaches the top-level container (the `ClutterStage`).

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`event`

  Type: `ClutterEvent`

  A `ClutterEvent`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the event has been handled by the actor, or `FALSE` to continue the emission.